<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddGatewayReq StructType
 * @subpackage Structs
 */
class AddGatewayReq extends APIRequest
{
    /**
     * The gateway
     * @var XGateway
     */
    public $gateway;
    /**
     * Constructor method for AddGatewayReq
     * @uses AddGatewayReq::setGateway()
     * @param XGateway $gateway
     */
    public function __construct(XGateway $gateway = null)
    {
        $this
            ->setGateway($gateway);
    }
    /**
     * Get gateway value
     * @return XGateway|null
     */
    public function getGateway()
    {
        return $this->gateway;
    }
    /**
     * Set gateway value
     * @param XGateway $gateway
     * @return AddGatewayReq
     */
    public function setGateway(XGateway $gateway = null)
    {
        $this->gateway = $gateway;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddGatewayReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
